Uploaded image for project: 'Kafka'
  1. Kafka
  2. KAFKA-12976

Remove UNSUPPORTED_VERSION error from delete topics call

Attach filesAttach ScreenshotVotersWatch issueWatchersCreate sub-taskLinkCloneUpdate Comment AuthorReplace String in CommentUpdate Comment VisibilityDelete Comments
    XMLWordPrintableJSON

Details

    • Task
    • Status: Resolved
    • Major
    • Resolution: Fixed
    • 2.8.0, 3.0.0
    • 2.8.1, 3.0.0
    • None
    • None

    Description

      Originally I thought it would be useful to have an unsupported version error returned when the broker's IBP did not support the operation. However, this error is transient and in the case of describe topics, it may not be accurate. Additionally, unsupported version is not retriable when the scenarios that see this likely should be. 

      I propose always returning UNKNOWN_TOPIC_ID error when the topic ID is not found on the broker. 

      Attachments

        Activity

          This comment will be Viewable by All Users Viewable by All Users
          Cancel

          People

            jolshan Justine Olshan
            jolshan Justine Olshan
            Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved:

              Issue deployment